Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.KeyboardUpLeftHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardUpLeftHandler

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicSplitPaneUI

public class BasicSplitPaneUI.KeyboardUpLeftHandler
extends Object
implements ActionListener

Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Constructor Summary
`BasicSplitPaneUI.KeyboardUpLeftHandler()`

Method Summary
`void` | `actionPerformed(ActionEvent ev)` Invoked when an action occurs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.KeyboardUpLeftHandler

    public BasicSplitPaneUI.KeyboardUpLeftHandler()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent ev)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.
  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.